Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util
Class MethodUtils

    java.lang.Object
      |
      +--org.apache.soap.util.MethodUtils

public class MethodUtils
extends java.lang.Object

This file is a collection of reflection utilities for dealing with methods and constructors.

Constructor Summary
`MethodUtils()`

Method Summary
`static java.lang.reflect.Constructor` | `getConstructor(java.lang.Class targetClass, java.lang.Class[] argTypes)` Class.getConstructor() finds only the entry point (if any) _exactly_ matching the specified argument types.
`static java.lang.reflect.Method` | `getMethod(java.lang.Class target, java.lang.String methodName, java.lang.Class[] argTypes, boolean isStaticReference)`
`static java.lang.reflect.Method` | `getMethod(java.lang.Object target, java.lang.String methodName, java.lang.Class[] argTypes)` Class.getMethod() finds only the entry point (if any) _exactly_ matching the specified argument types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodUtils

    public MethodUtils()

Method Detail

### getMethod

    public static java.lang.reflect.Method getMethod(java.lang.Object target,
                                                     java.lang.String methodName,
                                                     java.lang.Class[] argTypes)
                                              throws java.lang.SecurityException,
                                                     java.lang.NoSuchMethodException

  Class.getMethod() finds only the entry point (if any) _exactly_ matching the specified argument types. Our implmentation can decide between several imperfect matches, using the same search algorithm as the Java compiler. This version emulates the compiler behavior by allowing lookup to be performed against either a class or an instance -- classname.foo() must be a static method call, instance.foo() can invoke either static or instance methods.
  Parameters:
    `target` - object on which call is to be made
    `methodName` - name of method I'm lookin' for
    `argTypes` - array of argument types of method
  Returns:
    the desired method
  Throws:
    `java.lang.SecurityException` - if security violation
    `java.lang.NoSuchMethodException` - if no such method

### getMethod

    public static java.lang.reflect.Method getMethod(java.lang.Class target,
                                                     java.lang.String methodName,
                                                     java.lang.Class[] argTypes,
                                                     boolean isStaticReference)
                                              throws java.lang.SecurityException,
                                                     java.lang.NoSuchMethodException

    `java.lang.SecurityException`
    `java.lang.NoSuchMethodException`

### getConstructor

    public static java.lang.reflect.Constructor getConstructor(java.lang.Class targetClass,
                                                               java.lang.Class[] argTypes)
                                                        throws java.lang.SecurityException,
                                                               java.lang.NoSuchMethodException

  Class.getConstructor() finds only the entry point (if any) _exactly_ matching the specified argument types. Our implmentation can decide between several imperfect matches, using the same search algorithm as the Java compiler. Note that all constructors are static by definition, so isStaticReference is true.
  Throws:
    `java.lang.NoSuchMethodException` - if constructor not found.
    `java.lang.SecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.